package com.jay.monitor.data.server.store.es;

import com.alibaba.fastjson.annotation.JSONField;
import org.zxp.esclientrhl.annotation.ESMetaData;

@ESMetaData(indexName = "music", number_of_shards = 5, number_of_replicas = 0, printLog = true)
public class MusicModel {

    /**
     * avatarurl : http://thirdqq.qlogo.cn/g?b=sdk&k=SHV0ay6NszR9Vib8d3CCPNw&s=140&t=1613993130
     * commentid : song_97773_501218756_1615879261
     * commit_state : 2
     * enable_delete : 0
     * encrypt_rootcommentuin : 7Kn5ow6F7i4s
     * encrypt_uin : 7Kn5ow6F7i4s
     * identity_pic :
     * identity_type : 0
     * is_hot : 1
     * is_hot_cmt : 0
     * is_medal : 1
     * is_stick : 0
     * ispraise : 0
     * middlecommentcontent : null
     * nick : 园游会
     * permission : 0
     * praisenum : 0
     * root_enable_delete : 0
     * root_identity_pic :
     * root_identity_type : 0
     * root_is_stick : 0
     * rootcommentcontent : 从前从前，有个人要发专辑，但偏偏，风渐渐，把专辑吹得好远。​
     * rootcommentid : song_97773_501218756_1615879261
     * rootcommentnick : @园游会
     * score : 0
     * taoge_topic :
     * taoge_url :
     * time : 1615879261
     * user_type :
     * vipicon : http://y.qq.com/music/icon/v1/pc/nsvip5.png
     */

    @JSONField(name = "avatarurl")
    private String avatarurl;
    @JSONField(name = "commentid")
    private String commentid;
    @JSONField(name = "commit_state")
    private Integer commitState;
    @JSONField(name = "enable_delete")
    private Integer enableDelete;
    @JSONField(name = "encrypt_rootcommentuin")
    private String encryptRootcommentuin;
    @JSONField(name = "encrypt_uin")
    private String encryptUin;
    @JSONField(name = "identity_pic")
    private String identityPic;
    @JSONField(name = "identity_type")
    private Integer identityType;
    @JSONField(name = "is_hot")
    private Integer isHot;
    @JSONField(name = "is_hot_cmt")
    private Integer isHotCmt;
    @JSONField(name = "is_medal")
    private Integer isMedal;
    @JSONField(name = "is_stick")
    private Integer isStick;
    @JSONField(name = "ispraise")
    private Integer ispraise;
    @JSONField(name = "middlecommentcontent")
    private Object middlecommentcontent;
    @JSONField(name = "nick")
    private String nick;
    @JSONField(name = "permission")
    private Integer permission;
    @JSONField(name = "praisenum")
    private Integer praisenum;
    @JSONField(name = "root_enable_delete")
    private Integer rootEnableDelete;
    @JSONField(name = "root_identity_pic")
    private String rootIdentityPic;
    @JSONField(name = "root_identity_type")
    private Integer rootIdentityType;
    @JSONField(name = "root_is_stick")
    private Integer rootIsStick;
    @JSONField(name = "rootcommentcontent")
    private String rootcommentcontent;
    @JSONField(name = "rootcommentid")
    private String rootcommentid;
    @JSONField(name = "rootcommentnick")
    private String rootcommentnick;
    @JSONField(name = "score")
    private Integer score;
    @JSONField(name = "taoge_topic")
    private String taogeTopic;
    @JSONField(name = "taoge_url")
    private String taogeUrl;
    @JSONField(name = "time")
    private Integer time;
    @JSONField(name = "user_type")
    private String userType;
    @JSONField(name = "vipicon")
    private String vipicon;

    public String getAvatarurl() {
        return avatarurl;
    }

    public void setAvatarurl(String avatarurl) {
        this.avatarurl = avatarurl;
    }

    public String getCommentid() {
        return commentid;
    }

    public void setCommentid(String commentid) {
        this.commentid = commentid;
    }

    public Integer getCommitState() {
        return commitState;
    }

    public void setCommitState(Integer commitState) {
        this.commitState = commitState;
    }

    public Integer getEnableDelete() {
        return enableDelete;
    }

    public void setEnableDelete(Integer enableDelete) {
        this.enableDelete = enableDelete;
    }

    public String getEncryptRootcommentuin() {
        return encryptRootcommentuin;
    }

    public void setEncryptRootcommentuin(String encryptRootcommentuin) {
        this.encryptRootcommentuin = encryptRootcommentuin;
    }

    public String getEncryptUin() {
        return encryptUin;
    }

    public void setEncryptUin(String encryptUin) {
        this.encryptUin = encryptUin;
    }

    public String getIdentityPic() {
        return identityPic;
    }

    public void setIdentityPic(String identityPic) {
        this.identityPic = identityPic;
    }

    public Integer getIdentityType() {
        return identityType;
    }

    public void setIdentityType(Integer identityType) {
        this.identityType = identityType;
    }

    public Integer getIsHot() {
        return isHot;
    }

    public void setIsHot(Integer isHot) {
        this.isHot = isHot;
    }

    public Integer getIsHotCmt() {
        return isHotCmt;
    }

    public void setIsHotCmt(Integer isHotCmt) {
        this.isHotCmt = isHotCmt;
    }

    public Integer getIsMedal() {
        return isMedal;
    }

    public void setIsMedal(Integer isMedal) {
        this.isMedal = isMedal;
    }

    public Integer getIsStick() {
        return isStick;
    }

    public void setIsStick(Integer isStick) {
        this.isStick = isStick;
    }

    public Integer getIspraise() {
        return ispraise;
    }

    public void setIspraise(Integer ispraise) {
        this.ispraise = ispraise;
    }

    public Object getMiddlecommentcontent() {
        return middlecommentcontent;
    }

    public void setMiddlecommentcontent(Object middlecommentcontent) {
        this.middlecommentcontent = middlecommentcontent;
    }

    public String getNick() {
        return nick;
    }

    public void setNick(String nick) {
        this.nick = nick;
    }

    public Integer getPermission() {
        return permission;
    }

    public void setPermission(Integer permission) {
        this.permission = permission;
    }

    public Integer getPraisenum() {
        return praisenum;
    }

    public void setPraisenum(Integer praisenum) {
        this.praisenum = praisenum;
    }

    public Integer getRootEnableDelete() {
        return rootEnableDelete;
    }

    public void setRootEnableDelete(Integer rootEnableDelete) {
        this.rootEnableDelete = rootEnableDelete;
    }

    public String getRootIdentityPic() {
        return rootIdentityPic;
    }

    public void setRootIdentityPic(String rootIdentityPic) {
        this.rootIdentityPic = rootIdentityPic;
    }

    public Integer getRootIdentityType() {
        return rootIdentityType;
    }

    public void setRootIdentityType(Integer rootIdentityType) {
        this.rootIdentityType = rootIdentityType;
    }

    public Integer getRootIsStick() {
        return rootIsStick;
    }

    public void setRootIsStick(Integer rootIsStick) {
        this.rootIsStick = rootIsStick;
    }

    public String getRootcommentcontent() {
        return rootcommentcontent;
    }

    public void setRootcommentcontent(String rootcommentcontent) {
        this.rootcommentcontent = rootcommentcontent;
    }

    public String getRootcommentid() {
        return rootcommentid;
    }

    public void setRootcommentid(String rootcommentid) {
        this.rootcommentid = rootcommentid;
    }

    public String getRootcommentnick() {
        return rootcommentnick;
    }

    public void setRootcommentnick(String rootcommentnick) {
        this.rootcommentnick = rootcommentnick;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public String getTaogeTopic() {
        return taogeTopic;
    }

    public void setTaogeTopic(String taogeTopic) {
        this.taogeTopic = taogeTopic;
    }

    public String getTaogeUrl() {
        return taogeUrl;
    }

    public void setTaogeUrl(String taogeUrl) {
        this.taogeUrl = taogeUrl;
    }

    public Integer getTime() {
        return time;
    }

    public void setTime(Integer time) {
        this.time = time;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public String getVipicon() {
        return vipicon;
    }

    public void setVipicon(String vipicon) {
        this.vipicon = vipicon;
    }
}
